Skip to main content
GET
List Infraction Reports

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Query Parameters

page
integer<int64>
default:1

The number of the page that you want to retrieve (minimum: 1)

limit
integer<int64>
default:10

The maximum number of items to include in the response (range: 1-100)

sort_order
string
default:asc

The order used to sort the results: asc or desc

status
string[]

Filter by infraction status (comma-separated for OR match): OPEN, ACKNOWLEDGED, CLOSED, CANCELLED

transaction_id
string

Filter by the SPI transaction identifier associated with the report

reporter_participant
string

Filter by the ISPB of the reporting participant

counterparty_participant
string

Filter by the ISPB of the counterparty institution

analysis_result
string

Filter by the BACEN analysis result (AGREED or DISAGREED)

modified_after
string

Filter by reports modified after this timestamp (RFC3339 format: 2024-01-15T10:30:00Z)

modified_before
string

Filter by reports modified before this timestamp (RFC3339 format: 2024-01-15T10:30:00Z)

Response

OK

items
object[]
required

Array of infraction reports for the current page

limit
integer<int64>
required

Number of items per page

Example:

10

page
integer<int64>
required

Current page number

Example:

1

total
integer<int64>
required

Total number of infraction reports matching the filters

Example:

42